CB2BIB(1)

NAME
cb2bib - software to extract bibliographic references from various sources

SYNOPSIS
cb2bib

cb2bib [--conf [filename.conf]] [action] [filename1 [filename2 ... ]]

c2bimport <imported reference file>

c2bciter [space-separated list of BibTeX files or directories]

DESCRIPTION
cb2bib is a software to extract bibliographic references from unformatted and non standard sources, like, for example 1) email alerts; 2) journal Web pages; 3) PDF files.

Captured references are provided to the user for inspection in a graphical form. Once validated, the references are transformed into BibTeX records which might be appended to a user-defined BibTeX bib file.

The software allows one to peruse a BibTeX file and to send to the clipboard a citation of all the records currently selected. A pipe is also setup with the LyX LaTeX editor.

When invoked with the -h | --help option, cb2bib lists all the options that are available on the command line.

VARIANTS
cb2bib is the main program.

c2bimport is equivalent to using cb2bib --import (this variant takes only one file name as parameter).

c2bciter is equivalent to using cb2bib --citer.

OPTION

--conf [filename.conf] Use configuration file

ACTIONS

--configure [filename.conf] Edit configuration

--bibedit [filename1.bib [filename2.bib ... ]] Edit/browse BibTeX files

--citer [filename1.bib [filename2.bib ... ]] Start cb2Bib citer

--import <tmp_reference_filename> Imports reference, usually from ad hoc websites

--doc2bib fn1.doc [fn2.doc ... ] reference.bib Extract reference from document file

--txt2bib fn1.txt [fn2.txt ... ] reference.bib Extract reference from text file

--html-annote filename.tex Convert annote file to HTML

--view-annote filename.tex Convert and visualize annote file

--view-annote filename.tex.html Visualize annote file

KEY SHORTCUTS

Key: Description

Alt A: Open cb2Bib Annote

Alt B: Edit Bookmarks

Alt C: Preparses cb2Bib's clipboard

Alt D: Deletes temporary BibTeX output file

Alt E: Edit Regular Expressions

Alt F: Select File source filename

Alt I: Insert Regular Expression

Alt J: Edit Journal Abbreviations

Alt O: Open File Document

Alt P: Postprocess BibTeX

Alt R: Restarts automatic recognition

Esc: Quits cb2Bib popup menu

Right: Click Editor popup menu

EXAMPLES

cb2bib Starts cb2Bib extraction program

cb2bib --import tmp_reference_filename Imports a reference from a file

cb2bib --bibedit filename.bib Edits BibTeX filename.bib

cb2bib --conf Starts cb2Bib in USB mode

cb2bib --doc2bib *.pdf references.bib Extracts references from PDF title pages

NOTES

The file cb2bib.conf must be readable and writable. If it does not exist, the cb2Bib will create one based on predefined defaults.

Use switch --conf to particularize specific settings for specific actions.

If starting the cb2Bib from a removable media use the command 'cb2bib --conf' without configuration filename. Settings will be read from and written to /cb2bib/full/path/cb2bib.conf, being therefore independent of the mounting address that the host computer will provide.

To import references from a browser select when asked c2bimport, which expands to 'cb2bib --import %f'. The browser will provide the temporary reference filename. The temporary file is deleted once imported.

A number of factors influence the reliability of automatic extractions. Consider writing customized regular expressions and network queries, and use metadata when available.

Important

The commands --doc2bib and --txt2bib do not append the references to the references.bib. They create a new file, or silently overwrites it if already exists.

The website http://www.molspaces.com/d_cb2bib-overview.php has detailed instructions corresponding to different use cases.

BIBLIOGRAPHICAL REFERENCES TO BE CITED
P. Constans (2009) "A simple extraction procedure for bibliographical author field", arXiv:0902.0755.

P. Constans (2007) "Approximate textual retrieval", arXiv:0705.0751.

SEE ALSO
bib2pdf(1), med2bib(1), isi2bib(1), ris2bib(1)

AUTHORS
Pere Constans <constans@molspaces.com>

    Program author.

Filippo Rusconi <lopippo@debian.org>

    Man-page author for the Debian distribution.

COPYRIGHT
Copyright © 2004-2008 Pere Constans
Copyright © 2009,2017 Filippo Rusconi

This manual page was written for the Debian system by Filippo Rusconi <lopippo@debian.org>. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3, published by the Free Software Foundation.

 On a Debian system the complete text of the GNU General Public License version 3 can be found in the file `/usr/share/common-licenses/GPL-3'.